%define module Event-Lib
%define m_distro Event-Lib
%define m_name Event::Lib
%define m_author_id unknown
%define _enable_test 1

Name: perl-Event-Lib
Version: 1.03
Release: alt2.1.1

Summary: Perl extentions for event-based programming

License: Artistic
Group: Development/Perl
Url: http://www.cpan.org

Packager: Vladimir Lettiev <crux@altlinux.ru>

Source: http://search.cpan.org/CPAN/authors/id/V/VP/VPARSEVAL/%m_distro-%version.tar.gz
Patch0: %m_distro-tests-fork.patch

BuildRequires: perl-devel libevent-devel perl-Test-Fork

%description
This module is a Perl wrapper around libevent(3) as available from http://www.monkey.org/~provos/libevent/. It allows to execute a function whenever a given event on a filehandle happens, a timeout occurs or a signal is received.
Under the hood, one of the available mechanisms for asynchronously dealing with events is used. This could be select, poll, epoll, devpoll or kqueue. The idea is that you don't have to worry about those details and the various interfaces they offer. Event::Lib offers a unified interface to all of them

%prep
%setup -q -n %m_distro-%version
%patch0 -p1

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_archlib/Event*
%perl_vendor_autolib/Event*

%changelog
* Sat Jun 25 2011 Igor Vlasenko <viy@altlinux.ru> 1.03-alt2.1.1
- rebuilt with libevent2

* Sat Nov 06 2010 Vladimir Lettiev <crux@altlinux.ru> 1.03-alt2.1
- rebuilt with perl 5.12

* Mon Jul 13 2009 Vladimir Lettiev <crux@altlinux.ru> 1.03-alt2
- fix tests with fork

* Sat Aug 23 2008 Vladimir Lettiev <crux@altlinux.ru> 1.03-alt1
- Initial build for Sisyphus

